# Vue DropDowns components

Superset of HTML select box contains specific features such as data binding, grouping, sorting, filtering, and templates.

## What's Included in the Vue DropDown Package

The Vue DropDown package includes the following list of components.

### Vue DropDownList

The [Vue DropdownList](https://www.syncfusion.com/vue-components/vue-dropdown-list?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm) component is a quick replacement of the HTML select tags. It has a rich appearance and allows users to select a single value that is non-editable from a list of predefined values.

<p align="center">
    <a href="https://ej2.syncfusion.com/vue/documentation/list-box/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm">Getting Started</a> .
    <a href="https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm#/material/drop-down-list/default.html">online demos</a> .
    <a href="https://www.syncfusion.com/vue-components/vue-dropdown-list?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm">Learn more</a>
</p>

<p align="center">
<img alt="Vue DropDownList Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/vue/vue-dropdownlist.png">
</p>

#### Key features

* [Data binding](https://ej2.syncfusion.com/vue/demos/#/material/drop-down-list/data-binding.html) - Binds and accesses the list of items from the local or server-side data source.
* [Grouping](https://ej2.syncfusion.com/vue/demos/#/material/drop-down-list/grouping-icon.html) - Groups the logically related items under a single or specific category.
* [Sorting](https://ej2.syncfusion.com/vue/documentation/api/drop-down-list#sortorder) - Sorts the list items in alphabetical order (either ascending or descending).
* [Filtering](https://ej2.syncfusion.com/vue/demos/#/material/drop-down-list/filtering.html) - Filters the list items based on a character typed in the search box.
* [Templates](https://ej2.syncfusion.com/vue/demos/#/material/drop-down-list/template.html) - Customizes the list items, selected value, header, footer, category group header, and no records content.
* [Accessibility](https://ej2.syncfusion.com/vue/documentation/drop-down-list/accessibility) - Provided with built-in accessibility support used to access all the DropDownList component features using keyboard, screen readers, or other assistive technology devices.

### Vue DropDownTree

The [Vue DropDownTree](https://www.syncfusion.com/vue-components/vue-dropdown-tree?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm) component is a textbox control that allows the user to select single or multiple values from hierarchical data in a tree-like structure. It has several out-of-the-box features, such as data binding, check boxes, templates, UI customization, accessibility, and preselected values.

<p align="center">
    <a href="https://ej2.syncfusion.com/vue/documentation/drop-down-tree/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm">Getting Started</a> .
    <a href="https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm#/material/drop-down-tree/default.html">Online demos</a> .
    <a href="https://www.syncfusion.com/vue-components/vue-dropdown-tree?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm">Learn more</a>
</p>

<p align="center">
<img alt="Vue DropDownTree Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/vue/vue-dropdowntree.png">
</p>

#### Key features

* [Data binding](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm#/material/drop-down-tree/local-data.html) - Binds and accesses the list of items from the local or remote data source.
* [Checkbox](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm#/material/drop-down-tree/checkbox.html) - Built-in support for checkboxes, allowing users to select single or multiple items.
* [Template](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm#/material/drop-down-tree/template.html) - To change the appearance of the selection pop-up for tree items, plus the header and footer of the pop-up tree.
* [Filtering](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm#/material/drop-down-tree/filtering.html) - Filters the list items based on a character typed in the search box.

### Vue Mention

The [Vue Mention](https://www.syncfusion.com/vue-components/vue-mention?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm) component is an autocomplete-like control to tag or select a user/group from the suggestion list. The control opens the suggestion list when a user starts typing with the character ‘@’ in popular social media sites such as Facebook, Twitter, and more. It supports several out-of-the-box features: Data binding, grouping, UI customization, accessibility, and more.

<p align="center">
    <a href="https://ej2.syncfusion.com/vue/documentation/mention/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm">Getting Started</a> .
    <a href="https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm#/material/mention/default.html">Online demos</a> .
    <a href="https://www.syncfusion.com/vue-components/vue-mention?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm">Learn more</a>
</p>

<p align="center">
<img alt="Vue Mention Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/vue/vue-mention.png">
</p>

#### Key features

* [Sorting](https://ej2.syncfusion.com/vue/documentation/mention/sorting/) - Sorts the list items in alphabetical order (either ascending or descending).
* [Filtering](https://ej2.syncfusion.com/vue/documentation/mention/filtering-data/) - Filters the list items based on a character typed in the search box.

### Vue ComboBox

The [Vue ComboBox](https://www.syncfusion.com/vue-components/vue-combobox?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm) component is a drop-down list with editable textbox that also allows users to choose an option from a predefined pop-up list.

<p align="center">
    <a href="https://ej2.syncfusion.com/vue/documentation/combo-box/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm">Getting Started</a> .
    <a href="https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm#/material/combo-box/default.html">online demos</a> .
    <a href="https://www.syncfusion.com/vue-components/vue-combobox?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm">Learn more</a>
</p>

<p align="center">
<img alt="Vue ComboBox Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/vue/vue-combobox.png">
</p>

#### Key features

* [Data binding](https://ej2.syncfusion.com/vue/demos/#/material/combo-box/data-binding.html) - Binds and accesses the list of items from local or server-side data source.
* [Custom values](https://ej2.syncfusion.com/vue/demos/#/material/combo-box/custom-value.html) - Sets user-defined values that is not in the pop-up list.
* [Grouping](https://ej2.syncfusion.com/vue/demos/#/material/combo-box/grouping-icon.html) - Groups the logically related items under a single or specific category.
* [Sorting](https://ej2.syncfusion.com/vue/documentation/api/combo-box#sortorder) - Sorts the list items in alphabetical order (either ascending or descending).
* [Filtering](https://ej2.syncfusion.com/vue/demos/#/material/combo-box/filtering.html) - Filters the list items based on a character typed in the component.
* [Templates](https://ej2.syncfusion.com/vue/demos/#/material/combo-box/template.html) - Customizes the list items, selected value, header, footer, category group header, and no records content.
* [Accessibility](https://ej2.syncfusion.com/vue/documentation/combo-box/accessibility) - Provided with built-in accessibility support that helps to access all the ComboBox component features using the keyboard, screen readers, or other assistive technology devices.

### Vue AutoComplete

The [Vue AutoComplete](https://www.syncfusion.com/vue-components/vue-autocomplete?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm) component is a textbox control that provides a list of suggestions to select from as the user types. It has several out-of-the-box features such as data binding, filtering, grouping, UI customization, accessibility, and more.

<p align="center">
    <a href="https://ej2.syncfusion.com/vue/documentation/auto-complete/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm">Getting Started</a> .
    <a href="https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm#/material/auto-complete/default.html">online demos</a> .
    <a href="https://www.syncfusion.com/vue-components/vue-autocomplete?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm">Learn more</a>
</p>

<p align="center">
<img alt="Vue AutoComplete Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/vue/vue-autocomplete.png">
</p>

#### Key features

* [Data binding](https://ej2.syncfusion.com/vue/demos/#/material/auto-complete/data-binding.html) - Binds and accesses the list of items from local or server-side data source.
* [Grouping](https://ej2.syncfusion.com/vue/demos/#/material/auto-complete/grouping-icon.html) - Groups the logically related items under a single or specific category.
* [Sorting](https://ej2.syncfusion.com/vue/documentation/api/auto-complete#sortorder) - Sorts the list items in alphabetical order (either ascending or descending).
* [Highlight search](https://ej2.syncfusion.com/vue/demos/#/material/auto-complete/highlight.html) - Highlights the typed text in the suggestion list.
* [Templates](https://ej2.syncfusion.com/vue/demos/#/material/auto-complete/template.html) - Customizes the list item, header, footer, category group header, no records, and action failure content.
* [Accessibility](https://ej2.syncfusion.com/vue/documentation/auto-complete/accessibility) - Provided with built-in accessibility support that helps to access all the AutoComplete component features using keyboard, on-screen readers, or other assistive technology devices.

### Vue MultiSelect

The [Vue MultiSelect Dropdown](https://www.syncfusion.com/vue-components/vue-multiselect-dropdown?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm) component is a quick replacement for the HTML select tag for selecting multiple values. HTML MultiSelect Dropdown is a textbox control that allows the user to type or select multiple values from a list of predefined options.

<p align="center">
    <a href="https://ej2.syncfusion.com/vue/documentation/multi-select/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm">Getting Started</a> .
    <a href="https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm#/material/multi-select/default.html">online demos</a> .
    <a href="https://www.syncfusion.com/vue-components/vue-multiselect-dropdown?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm">Learn more</a>
</p>

<p align="center">
<img alt="Vue MultiSelect Dropdown Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/vue/vue-multiselect.png">
</p>

#### Key features

* [Data binding](https://ej2.syncfusion.com/vue/demos/#/material/multi-select/data-binding.html) - Binds and accesses the list of items from local or server-side data source.
* [Grouping](https://ej2.syncfusion.com/vue/demos/#/material/multi-select/grouping-icon.html) - Groups the logically related items under a single or specific category.
* [Templates](https://ej2.syncfusion.com/vue/demos/#/material/multi-select/template.html) - Customizes the list items, selected value, header, footer, category group header, and no records content.
* [Sorting](https://ej2.syncfusion.com/vue/documentation/api/multi-select#sortorder): Sorts the list items in alphabetical order (either ascending or descending).
* [Filtering](https://ej2.syncfusion.com/vue/demos/#/material/multi-select/filtering.html) - Filters the list items based on a character typed in the search box.
* [Custom value](https://ej2.syncfusion.com/vue/demos/#/material/multi-select/custom-value.html) - Allows users to select a new custom value.
* [Accessibility](https://ej2.syncfusion.com/vue/documentation/multi-select/accessibility) - Provided with built-in accessibility support that helps to access all the DropDownList component features using the keyboard, screen readers, or other assistive technology devices.

### Vue ListBox

The [Vue ListBox](https://www.syncfusion.com/vue-components/vue-listbox?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm) component is a graphical user interface for displaying a list of items with multi-selection options. It has a rich appearance and allows users to select one or more items from the list using checkboxes or keyboard interactions.

<p align="center">
    <a href="https://ej2.syncfusion.com/vue/documentation/list-box/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm">Getting Started</a> .
    <a href="https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm#/material/list-box/default.html">online demos</a> .
    <a href="https://www.syncfusion.com/vue-components/vue-listbox?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm">Learn more</a>
</p>

<p align="center">
<img alt="Vue ListBox Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/vue/vue-listbox.png">
</p>

#### Key features

* [Data binding](https://ej2.syncfusion.com/vue/documentation/list-box/data-binding/) - Binds and accesses the list of items from local or server-side data source.
* [Dual listbox](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm#/material/list-box/dual-list-box.html) - Allows transferring and reordering the list item between two ListBoxes.
* [Drag and drop](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm#/material/list-box/drag-and-drop.html) - Allows drag and drop the list item with the same/multiple ListBox.
* [Grouping](https://ej2.syncfusion.com/vue/documentation/list-box/sorting-and-grouping/#grouping) - Groups the logically related items under a single or specific category.
* [Templates](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm#/material/list-box/template.html) - Customizes the list items.
* [Sorting](https://ej2.syncfusion.com/vue/documentation/list-box/sorting-and-grouping/) - Sorts the list items in alphabetical order (either ascending or descending).
* [Accessibility](https://ej2.syncfusion.com/vue/documentation/list-box/accessibility/) - Provided with built-in accessibility support that helps to access all the ListBox component features using the keyboard, screen readers, or other assistive technology devices.

## Setup

To install `dropdowns` and its dependent packages, use the following command.

```
npm install @syncfusion/ej2-vue-dropdowns
```

## Supported frameworks

DropDowns components are also offered in following list of frameworks.

| [<img src="https://ej2.syncfusion.com/github/images/js.svg" height="50" />](https://www.syncfusion.com/javascript-ui-controls?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_medium=listing&utm_source=github)&nbsp;&nbsp;&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/react.svg"  height="50" />](https://www.syncfusion.com/react-ui-components?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[React](https://www.syncfusion.com/react-ui-components?utm_medium=listing&utm_source=github)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/angular.svg"  height="50" />](https://www.syncfusion.com/angular-components/?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[Angular](https://www.syncfusion.com/angular-components/?utm_medium=listing&utm_source=github)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/netcore.svg" height="50" />](https://www.syncfusion.com/aspnet-core-ui-controls?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;[ASP.NET&nbsp;Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_medium=listing&utm_source=github)&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/netmvc.svg" height="50" />](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;[ASP.NET&nbsp;MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_medium=listing&utm_source=github)&nbsp;&nbsp; | 
| :-----: | :-----: | :-----: | :-----: | :-----: |

## Showcase samples

* Asset Management - [Live Demo](https://ej2.syncfusion.com/showcase/vue/assetmanagement/?utm_source=npm&utm_campaign=dropdown#/)

## Support

Product support is available for through following mediums.

* [Support ticket](https://support.syncfusion.com/support/tickets/create) - Guaranteed Response in 24 hours | Unlimited tickets | Holiday support
* [Community forum](https://www.syncfusion.com/forums/vue?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm)
* [GitHub issues](https://github.com/syncfusion/ej2-vue-ui-components/issues/new)
* [Request feature or report bug](https://www.syncfusion.com/feedback/vue?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm)
* Live chat

## Changelog

Check the changelog [here](https://github.com/syncfusion/ej2-vue-ui-components/blob/master/components/dropdowns/CHANGELOG.md). Get minor improvements and bug fixes every week to stay up to date with frequent updates.

## License and copyright

> This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of Syncfusion's [EULA](https://www.syncfusion.com/eula/es/). To acquire a license for 80+ [Vue UI components](https://www.syncfusion.com/vue-components), you can [purchase](https://www.syncfusion.com/sales/products) or [start a free 30-day trial](https://www.syncfusion.com/account/manage-trials/start-trials).

> A free community [license](https://www.syncfusion.com/products/communitylicense) is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.

See [LICENSE FILE](https://github.com/syncfusion/ej2-vue-ui-components/blob/master/license) for more info.

© Copyright 2024 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.